glab(1)

NAME

glab-ssh-key-add - Add an SSH key to your GitLab account

SYNOPSIS

glab ssh-key add [key-file] [flags]

DESCRIPTION

Creates a new SSH key owned by the currently authenticated user.

The --title flag is always required

OPTIONS

-e, --expires-at=""
    The expiration date of the SSH key in ISO 8601 format (YYYY-MM-DDTHH:MM:SSZ)

-t, --title=""
    New SSH key's title

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

-R, --repo=""
    Select another repository using the OWNER/REPO or GROUP/NAMESPACE/REPO format or full URL or git URL

EXAMPLE
    # Read ssh key from stdin and upload
    $ glab ssh-key add -t "my title"
    # Read ssh key from specified key file and upload
    $ glab ssh-key add ~/.ssh/id_ed25519.pub -t "my title"

SEE ALSO

glab-ssh-key(1)